---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 31
    AccountRefMonth: 10
    LastMadeUpDate: 31/10/2023
    NextDueDate: 31/07/2025
  CompanyCategory: Private Limited Company
  CompanyName: C & W GENERAL BUILDING LTD
  CompanyNumber: 09214438
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 11/09/2014
  RegAddress:
    AddressLine1: 17 PEACOCK WALK LITTLE PAXTON
    PostTown: ST. NEOTS
    County: CAMBRIDGESHIRE
    Postcode: PE19 6BY
  Returns:
    LastMadeUpDate: 11/09/2023
    NextDueDate: 25/09/2024
  SICCodes:
    SicText:
      - '41202 - Construction of domestic buildings'
